Add or update external event
Add or update an external event associated with a task. If a taskExternalEventId is provided, it updates the existing external event; otherwise, it adds a new external event.
Authorization
auth ApiKey AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
In: header
X-API-KEY<token>
Internal API key for admin endpoints. Example: "X-API-KEY: {key}"
In: header
Path Parameters
id*string
The ID of the task.
Format
uuidtaskExternalEventId*string
The ID of the external event (optional).
Format
uuidRequest Body
application/json
The request containing information about the external event.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v1/tasks/497f6eca-6276-4993-bfeb-53cbbbba6f08/external-events/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "execution": "string", "priority": 0, "qlikEvent": "string" }'"string"